Bug 1270596 - Error in appliance console
Error in appliance console
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Nick Carboni
Thom Carlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 11:37 EDT by Thom Carlin
Modified: 2015-12-08 08:37 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:37:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-11 11:37:01 EDT
Description of problem:

Unexpected error in appliance console

Version-Release number of selected component (if applicable):

5.5.0.5-beta1.1

How reproducible:

100%

Steps to Reproduce:
1. appliance_console
2. At "-- press enter/return to continue or q to stop --", enter "q"
3.

Actual results:

Error

Expected results:

No error

Additional info:

                                                   /opt/rh/cfme-gemset/gems/highline-1.6.21/lib/highline.rb:983:in `+': no implicit conversion of nil into Array (TypeError)
	from /opt/rh/cfme-gemset/gems/highline-1.6.21/lib/highline.rb:983:in `page_print'
	from /opt/rh/cfme-gemset/gems/highline-1.6.21/lib/highline.rb:722:in `format_statement'
	from /opt/rh/cfme-gemset/gems/highline-1.6.21/lib/highline.rb:617:in `say'
	from /var/www/miq/lib/appliance_console.rb:147:in `block in <module:ApplianceConsole>'
	from /var/www/miq/lib/appliance_console.rb:112:in `loop'
	from /var/www/miq/lib/appliance_console.rb:112:in `<module:ApplianceConsole>'
	from /var/www/miq/lib/appliance_console.rb:97:in `<main>'
Comment 2 Nick Carboni 2015-10-14 08:53:13 EDT
https://github.com/ManageIQ/manageiq/pull/4756
Comment 3 Nick Carboni 2015-10-14 08:56:09 EDT
This ended up being a bug in the highline gem which was fixed here:

https://github.com/JEG2/highline/issues/168
https://github.com/JEG2/highline/pull/169

The manageiq PR was a workaround that also had the effect of preventing us from paging in this case which was for the best anyway.
Comment 4 Thom Carlin 2015-10-27 14:23:02 EDT
Verified in 5.5.0.7-beta1.3
Comment 6 errata-xmlrpc 2015-12-08 08:37:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.